Bug 169056 - new changelog entry formatting problem
new changelog entry formatting problem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-changelog (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kyu Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 12:46 EDT by Tom Tromey
Modified: 2014-08-11 01:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-05 11:15:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2005-09-22 12:46:10 EDT
I tried making a changelog entry just now and it inserted
the text into the wrong place.

In particular the top of the changelog entry before my change
looked like:

2005-09-22  Mark Wielaard  <mark@klomp.org>

And when I made my change it did not make a new header but
instead inserted the particular change entry into the middle
of this, yielding:

2005-09-22  Mark Wielaard  <mark@klomp.org   * java/net/ServerSocket.java
(accept): >

I've seen this before; it only seems to occur when there is
already an entry in the changelog (further down in the file)
with my name and the current date.
Comment 1 Tom Tromey 2006-03-12 00:06:01 EST
FYI -- I checked in a fix for this to the changelog plugin cvs.
I haven't looked into doing a new release.
Comment 2 Phil Muldoon 2006-03-13 10:05:44 EST
Excellent, thanks Tom. I'm undertaking a complete rewrite of the GNU formatter
(it's slow work, alas). But I will look into cutting an update site release with
your fix ASAP.
Comment 3 Ben Konrath 2006-10-04 16:11:24 EDT
Kyu, please close this bug if the fix has been released. Thanks.

Note You need to log in before you can comment on or make changes to this bug.